export function h(tag: string, attrs?: Record<string, string | boolean> | null, ...children: import('vite').HtmlTagDescriptor[]): import('vite').HtmlTagDescriptor;
export function h(tag: string, attrs: Record<string, string | boolean> | null | undefined, children: string): import('vite').HtmlTagDescriptor;
/**
 * @typedef {readonly import('vite').HtmlTagDescriptor[] | ((ctx: import('vite').IndexHtmlTransformContext) => readonly import('vite').HtmlTagDescriptor[])} Tags
 */
/**
 * Insert additional tags into every Vite HTML entrypoint.
 * @param {object} tags Tags to insert
 * @param {Tags} [tags.head] Tags to insert before the closing `</head>` tag
 * @param {Tags} [tags.headPrepend] Tags to insert after the opening `<head>` tag
 * @param {Tags} [tags.body] Tags to insert before the closing `</body>` tag
 * @param {Tags} [tags.bodyPrepend] Tags to insert after the opening `<body>` tag
 * @returns {import('vite').Plugin}
 */
export function insertHtml(tags: {
    head?: Tags;
    headPrepend?: Tags;
    body?: Tags;
    bodyPrepend?: Tags;
}): import('vite').Plugin;
export type Tags = readonly import("vite").HtmlTagDescriptor[] | ((ctx: import('vite').IndexHtmlTransformContext) => readonly import('vite').HtmlTagDescriptor[]);
//# sourceMappingURL=index.d.ts.map